RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
DeltaVSoft.RCFProto.StoreCertificate Class Reference

Represents a certificate in a Windows certificate store. More...

Inheritance diagram for DeltaVSoft.RCFProto.StoreCertificate:

## Public Member Functions
override void | Dispose ()
| StoreCertificate (Win32CertificateLocation certStoreLocation, Win32CertificateStore certStore, string certName)
| Loads a certificate from a certificate store. More...
void | RemoveFromStore ()
| Removes the certificate from the store it was loaded from. More...
Public Member Functions inherited from DeltaVSoft.RCFProto.Win32Certificate
override void | Dispose ()
string | GetCertificateName ()
| Gets the name of the certificate. More...
string | GetIssuerName ()
| Gets the name of the issuer of the certificate. More...
void | ExportToPfx (string pfxFilePath)
| Exports the certificate in PFX format, to the given file path. More...
Win32Certificate | FindRootCertificate (Win32CertificateLocation certStoreLocation, Win32CertificateStore certStore)
| Attempts to locate a root certificate for this certificate, in the given certificate store. Returns the root certificate if found, and otherwise null. More...

## Detailed Description

Represents a certificate in a Windows certificate store.

## Constructor & Destructor Documentation

DeltaVSoft.RCFProto.StoreCertificate.StoreCertificate | ( | Win32CertificateLocation | certStoreLocation,
|  | Win32CertificateStore | certStore,
|  | string | certName
| ) |  |

Loads a certificate from a certificate store.

## Member Function Documentation

override void DeltaVSoft.RCFProto.StoreCertificate.Dispose | ( |  | ) |
| virtual

Reimplemented from DeltaVSoft.RCFProto.Certificate.

void DeltaVSoft.RCFProto.StoreCertificate.RemoveFromStore | ( |  | ) |

Removes the certificate from the store it was loaded from.

The documentation for this class was generated from the following file:

- StoreCertificate.cs